export enum Projection {
  EQUIRECTANGULAR = 'equirectangular',
  MERCATOR = 'mercator',
  AZIMUTHAL_EQUIDISTANT = 'azimuthalEquidistant',
  CONIC_CONFORMAL = 'conicConformal',
}

export enum MapType {
  BIOME = 'biomes',
  ELEVATION = 'elevation',
  WATER_MASK = 'water-mask',
  BATHYMETRY = 'bathymetry',
  REAL_COLOR = 'real-color',
}

export type WorldData = {
  version: string,
  musicCategory: number,
  width: number,
  height: number,
  spriteWaterLayer: number[][],
  spriteBackgroundLayer: number[][],
  spriteForegroundLayer: number[][],
  connections: number[][],
  tileTypes: number[][],
  vehicleBoundaries: number[][],
  stages: number[][],
  warps: number[][],
  vehicles: number[][],
  initialItems: number[][],
};

export enum WaterType {
  DEFAULT = 4,
  LIGHT = 5,
  LAVA = 6
}
